varying vec3	v;
varying	vec3	n;

uniform samplerCube	envMap;

float	fresnel ()
{
	return 1.0 - dot ( normalize ( n ), normalize ( v ) );
}

void main(void)
{
	vec3	r  = reflect ( v, n );
	vec4    c1 = textureCube ( envMap, r );
	vec4	c2 = vec4 ( 0.8, 0.498039, 0.196078, 1.0 );

	gl_FragColor = mix ( c1, c2, 1.0-fresnel () );
}