varying vec3	v;
varying	vec3	n;

uniform samplerCube	envMap;

float	saturate ( float t )
{
	if ( t < 0.0 )
		t = 0.0;

	return t;
}

float	fresnel ()
{
	return 0.05 + 0.95 * pow ( 1.0 - saturate ( dot ( normalize ( n ), normalize ( v ) ) ), 2.0 );
}

void main(void)
{
	vec3	r  = reflect ( v, n );
	vec4    c1 = textureCube ( envMap, r );
	vec4	c2 = vec4 ( 0.8, 0.498039, 0.196078, 1.0 );

	gl_FragColor = mix ( c1, c2, 1.0 - fresnel () );
}